Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List site migration details

This endpoint lists the site migration details.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/site_migration_details

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
entity_id_at_other_site[<operator>]

optional, string filter

Entity Id of the record in the other site. Supported operators : is, is_not, starts_with

Example → entity_id_at_other_site[is] = "null"

Supported operators: is, is_not, starts_with
other_site_name[<operator>]

optional, string filter

Site name to which the record is moved in/out. Supported operators : is, is_not, starts_with

Example → other_site_name[is] = "acme-test"

Supported operators: is, is_not, starts_with
Example acme-test
entity_id[<operator>]

optional, string filter

Id of the entity in this site. Supported operators : is, is_not, starts_with

Example → entity_id[is] = "8axqwer7as"

Supported operators: is, is_not, starts_with
Example 8axqwer7as
entity_type[<operator>]

optional, enumerated string filter

Entity Type of the record. Possible values are : customer, subscription, invoice, credit_note, transaction, order.

Supported operators : is, is_not, in, not_in

Example → entity_type[is] = "customer"

Supported operators: is, is_not, in, not_in
Example customer
status[<operator>]

optional, enumerated string filter

Status of the migration. Possible values are : moved_in, moved_out, moving_out.

Supported operators : is, is_not, in, not_in

Example → status[is] = "MOVED_OUT"

Supported operators: is, is_not, in, not_in
Example MOVED_OUT

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Site migration detail object
Resource object representing site_migration_detail